#include <SoftwareSerial.h>
SoftwareSerial mySerial(0, 1);

#define address_1 1

const int trigPin = 10;
const int echoPin = 9;
const int TXpin = 0;

long duration;
int distance;

void setup() {
  pinMode(trigPin, OUTPUT); // Sets the trigPin as an Output
  pinMode(TXpin, OUTPUT); // Sets the TXpin as an Output
  pinMode(echoPin, INPUT); // Sets the echoPin as an Input
  mySerial.begin(9600); // Starts the serial communication
}

void loop() {

 
    digitalWrite(trigPin, LOW);
    delayMicroseconds(2);
    digitalWrite(trigPin, HIGH);
    delayMicroseconds(10);
    digitalWrite(trigPin, LOW);
    duration = pulseIn(echoPin, HIGH);
    distance = duration * 0.034 / 2; 
    mySerial.write(address_1);
    mySerial.write(distance);

}
